CHECKS TO ADD

HAS_ENTITY_ANIM_FINISHED(Any p0, Any *p1, Any *p2, Any p3) // 20B711662962B472 1D9CAB92
HAS_ENTITY_BEEN_DAMAGED_BY_ANY_OBJECT(Entity entity) // 95EB9964FF5C5C65 6B74582E
HAS_ENTITY_BEEN_DAMAGED_BY_ANY_PED(Entity entity) // 605F5A140F202491 53FD4A25
HAS_ENTITY_BEEN_DAMAGED_BY_ANY_VEHICLE(Entity entity) // DFD5033FDBA0A9C8 878C2CE0
HAS_ENTITY_BEEN_DAMAGED_BY_ENTITY(Entity entity1, Entity entity2, BOOL p2) // C86D67D52A707CF8 07FC77E0
HAS_ENTITY_CLEAR_LOS_TO_ENTITY(Entity entity1, Entity entity2, Any traceType) // FCDFF7B72D23A1AC 53576FA7
HAS_ENTITY_CLEAR_LOS_TO_ENTITY_IN_FRONT(Entity entity1, Entity entity2) // 0267D00AF114F17A 210D87C8
HAS_ENTITY_COLLIDED_WITH_ANYTHING(Entity entity) // 8BAD02F0368D9E14 662A2F41
GET_ENTITY_HEIGHT_ABOVE_GROUND(Entity entity) // 1DD55701034110E5 57F56A4D




ENTITY::IS_ENTITY_IN_AREA

Hashes: 0x54736AA40E271165 0x8C2DFA9D
BOOL IS_ENTITY_IN_AREA(Entity entity, float x1, float y1, float z1,
  float x2, float y2, float z2, BOOL p7, BOOL p8, Any p9)
  
  
  
  
  --- PED --- 
PED::IS_PED_IN_ANY_VEHICLE

Hashes: 0x997ABD671D25CA0B 0x3B0171EE
BOOL IS_PED_IN_ANY_VEHICLE(Ped ped, BOOL atGetIn)
// 0x997ABD671D25CA0B 0x3B0171EE
Gets a value indicating whether the specified ped is in any vehicle.

If 'atGetIn' is false, the function will not return true until the ped is sitting in the vehicle and is about to close the door. If it's true, the function returns true the moment the ped starts to get onto the seat (after opening the door). Eg. if false, and the ped is getting into a submersible, the function will not return true until the ped has descended down into the submersible and gotten into the seat, while if it's true, it'll return true the moment the hatch has been opened and the ped is about to descend into the submersible.
  
  
HAS_PED_GOT_WEAPON(Ped ped, Hash weaponHash, BOOL p2) // 8DECB02F88F428BC 43D2FA82
IS_PED_INJURED(Ped ped) // 84A2DD9AC37C35C1 2530A087
IS_PED_HURT(Ped ped) // 5983BB449D7FDB12 69DFA0AF
IS_PED_FATALLY_INJURED(Ped ped) // D839450756ED5A80 BADA0093
IS_PED_AIMING_FROM_COVER(Ped ped) // 3998B1276A3300E5 DEBAB2AF
IS_PED_RELOADING(Ped ped) // 24B100C68C645951 961E1745
IS_PED_FACING_PED(Ped ped1, Player ped2, float angle) // D71649DB0A545AA3 0B775838
IS_PED_IN_MELEE_COMBAT(Ped ped) // 4E209B2C1EAD5159 FD7814A5
IS_PED_STOPPED(Ped ped) // 530944F6F4B8A214 A0DC0B87
IS_PED_MALE(Ped ped) // 6D9F5FAA7488BA46 90950455
IS_PED_HUMAN(Ped ped) // B980061DA992779D 194BB7B0
IS_PED_ON_FOOT(Ped ped) // 01FEE67DB37F59B2 C60D0785
IS_PED_PLANTING_BOMB(Ped ped) // C70B5FAE151982D8 0EDAC574
IS_PED_FALLING(Ped ped) // FB92A102F1C4DFA3 ABF77334
IS_PED_JUMPING(Ped ped) // CEDABC5900A0BF97 07E5BC0E
IS_PED_CLIMBING(Ped ped) // 53E8CB4F48BFE623 BCE03D35
IS_PED_VAULTING(Ped ped) // 117C70D1F5730B5E C3169BDA
IS_PED_DIVING(Ped ped) // 5527B8246FEF9B11 7BC5BF3C
IS_PED_DUCKING(Ped ped) // D125AE748725C6BC 9199C77D
IS_PED_IN_ANY_TAXI(Ped ped) // 6E575D6A898AB852 16FD386C
IS_PED_DOING_DRIVEBY(Ped ped) // B2C086CC1BF8F2BF AC3CEB9C
IS_PED_JACKING(Ped ped) // 4AE4FF911DFB61DA 3B321816
IS_PED_BEING_JACKED(Ped ped) // 9A497FE2DF198913 D45D605C
IS_PED_BEING_STUNNED(Ped ped, int p1) // 4FBACCE3B4138EE8 0A66CE30
IS_PED_PRONE(Ped ped) // D6A86331A537A7B9 02C2A6C3
IS_PED_IN_COMBAT(Ped ped, Ped target) // 4859F1FC66A6278E FE027CB5
IS_PED_FLEEING(Ped ped) // BBCCE00B381F8482 85D813C6
IS_PED_IN_COVER(Ped ped, BOOL p1) // 60DFD0691A170B88 972C5A8B
IS_PED_IN_COVER_FACING_LEFT(Ped ped) // 845333B3150583AB B89DBB80
IS_PED_GOING_INTO_COVER(Ped ped) // 9F65DBC537E59AD5 A3589628
IS_PED_IN_GROUP(Ped ped) // 5891CAC5D4ACFF74 836D9795
IS_PED_IN_ANY_TRAIN(Ped ped) // 6F972C1AB75A1ED0 759EF63A
IS_PED_GETTING_INTO_A_VEHICLE(Ped ped) // BB062B2B5722478E 90E805AC
IS_PED_TRYING_TO_ENTER_A_LOCKED_VEHICLE(Ped ped) // 44D28D5DDFE5F68C 46828B4E
IS_PED_RUNNING_MOBILE_PHONE_TASK(Ped ped) // 2AFE52F782F25775 FB2AFED1
IS_PED_WEARING_HELMET(Ped ped) // F33BDFE19B309B19 0D680D49
IS_PED_PERFORMING_STEALTH_KILL(Ped ped) // FD4CCDBCC59941B7 9ADD7B21
IS_PED_BEING_STEALTH_KILLED(Ped ped) // 863B23EFDE9C5DF2 D044C8AF
IS_PED_USING_ACTION_MODE(Ped ped) // 00E73468D085F745 5AE7EDA2
IS_PED_ACTIVE_IN_SCENARIO(Any p0) // AA135F9482C82CC3 05038F1A
IS_PED_GETTING_UP(Any p0) // 2A74E1D5F2F00EEC 320813E6
IS_PED_IN_WRITHE(Ped ped) // DEB6D52126E7D640 09E61921
IS_PED_STILL(Ped ped) // AC29253EEF8F0180 09E3418D
IS_PED_WALKING(Ped ped) // DE4C184B2B9B071A 4B865C4A
IS_PED_RUNNING(Ped ped) // C5286FFC176F28A2 E9A5578F
IS_PED_SPRINTING(Ped ped) // 57E457CD2C0FC168 4F3E0633
IS_PED_STRAFING(Ped ped) // E45B7F222DE47E09 EFEED13C
IS_PED_RUNNING_ARREST_TASK(Ped ped) // 3DC52677769B4AE0 6942DB7A
IS_PED_BEING_ARRESTED(Ped ped) // 90A09F3A45FED688 5FF6C2ED
IS_PED_CUFFED(Ped ped) // 74E559B3BC910685 511CE741
IS_PED_RINGTONE_PLAYING(Any p0) // 1E8E5E20937E3137 FE576EE4
IS_PED_IN_CURRENT_CONVERSATION(Any p0) // 049E937F18F4020C 7B2F0743
IS_PED_ARMED(Ped ped, int p1) // 475768A975D5AD17 0BFC892C
_IS_PED_DRAWING_WEAPON(Ped ped) // B80CA294F2F26749 02A32CB0

  
  
  --- VEHICLE ---
IS_VEHICLE_STUCK_ON_ROOF(Vehicle vehicle) // B497F06B288DCFDF 18D07C6C
IS_VEHICLE_STOPPED(Vehicle vehicle) // 5721B434AD84D57A 655F072C
IS_VEHICLE_SIREN_ON(Vehicle vehicle) // 4C9BF537BE2634B2 25EB5873
IS_VEHICLE_SEAT_FREE(Vehicle vehicle, int seatIndex) // 22AC59A870E6A669 DAF42B02
IS_VEHICLE_TYRE_BURST(Vehicle vehicle, int wheelID, BOOL p2) // BA291848A0815CA9 48C80210
IS_VEHICLE_ALARM_ACTIVATED(Vehicle vehicle) // 4319E335B71FFF34 F2630A4C
IS_VEHICLE_ATTACHED_TO_TRAILER(Vehicle vehicle) // E7CF3C4F9F489F0C E142BBCC
IS_VEHICLE_DOOR_FULLY_OPEN(Vehicle vehicle, int doorIndex) // 3E933CFF7B111C22 C2385B6F
IS_VEHICLE_DOOR_DAMAGED(Vehicle veh, int doorID) // B8E181E559464527 4999E3C3
IS_VEHICLE_BUMPER_BROKEN_OFF(Any p0, BOOL p1) // 468056A6BB6F3846 AF25C027
IS_VEHICLE_ON_ALL_WHEELS(Vehicle vehicle) // B104CD1BABF302E2 10089F8E
IS_VEHICLE_EXTRA_TURNED_ON(Any p0, Any p1) // D2E6822DBFD6C8BD 042098B5
IS_VEHICLE_A_CONVERTIBLE(Vehicle vehicle, BOOL p1) // 52F357A30698BCCE 6EF54490
IS_VEHICLE_STOPPED_AT_TRAFFIC_LIGHTS(Vehicle vehicle) // 2959F696AE390A99 69200FA4
IS_VEHICLE_DRIVEABLE(Vehicle vehicle, BOOL p1) // 4C241E39B23DF959 41A7267A
IS_VEHICLE_WINDOW_INTACT(Vehicle vehicle, int windowNumber) // 46E571A0E20D01F1 AC4EF23D
IS_VEHICLE_HIGH_DETAIL(Any p0) // 1F25887F3C104278 55D41928
IS_VEHICLE_IN_BURNOUT(Vehicle vehicle) // 1297A88E081430EB 6632BC12
IS_VEHICLE_SEARCHLIGHT_ON(Vehicle vehicle) // C0F97FCE55094987 ADAF3513
IS_VEHICLE_VISIBLE(Vehicle vehicle) // AA0A52D24FB98293 7E0D6056
IS_VEHICLE_STOLEN(Vehicle vehicle) // 4AF9BD80EEBEB453 20B61DDE
_IS_VEHICLE_NEON_LIGHT_ENABLED(Vehicle vehicle, int index) // 8C4B92553E4766A5


  
  
  
  --- OBJECT ---
IS_OBJECT_VISIBLE(Object object) // 8B32ACE6326A7546 F4FD8AE4
HAS_OBJECT_BEEN_BROKEN(Object object) // 8ABFB70C49CC43E2 FE21F891


  
